package com.example.springdemo.controller;

import com.example.springdemo.dao.impl.UsersDaoImpl;
import com.example.springdemo.entities.Users;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/users")
public class UsersController {

    @Resource
    private UsersDaoImpl usersDao;

    @GetMapping("/findAll")
    public List<Users> getUsers() {
        Users user = new Users();
        return usersDao.search(user);
    }

    @GetMapping("/findByID")
    public Users getUserByID(@RequestParam("id") Long id) {
        return usersDao.searchID(id);
    }

    @GetMapping("/save")
    public String saveUser(@RequestParam("name") String name,
                           @RequestParam("phoneNumber") String phoneNumber,
                           @RequestParam("address") String address,
                           @RequestParam("password") String password) {
        Users user = new Users();
        user.setName(name);
        user.setPhoneNumber(phoneNumber);
        user.setAddress(address);
        user.setPassword(password);

        if (usersDao.insert(user) <= 0) {
            return "success";
        } else {
            return "fail";
        }
    }

    @GetMapping("/delete")
    public String deleteUser(@RequestParam("id") Long id) {
        Users user = new Users();
        user.setId(id);
        if (usersDao.delete(user) <= 0) {
            return "fail";
        } else {
            return "success";
        }
    }

}
