package com.example.springdemo.service;

import com.example.springdemo.dao.UsersRepository;
import com.example.springdemo.entities.Users;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class UsersServiceImpl implements UsersService {
    @Resource
    private UsersRepository usersRepository;

    @Override
    public Users insetUsers(Users user) {
        return usersRepository.save(user);
    }

    @Override
    public void deleteUsersById(Long id) {
        usersRepository.deleteById(id);
    }

    @Override
    public Users updateUsers(Users user) {
        return usersRepository.save(user);
    }

    @Override
    public List<Users> findAllUsers() {
        return usersRepository.findAll();
    }

    @Override
    public Optional<Users> findById(Long id) {
        return usersRepository.findById(id);
    }

    @Override
    public Users findByName(String name) {
        return usersRepository.findByName(name);
    }
}
